#ifndef __FORMAT_H__
#define __FORMAT_H__

#include <stdio.h>  /* FILE */

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  /* Returns 1 if language is supported by library. Otherwise 0 */
  int format_valid_lang(const char *language);

  /* exported function declarations for syntax highlighting of source code */
  /* All of these functions return a dynamically allocated string, so you  */
  /* MUST remember to free any strings you generate by calling these       */
  /* functions!!!                                                          */

  char *format_fd     ( int fd, const char *language );
  char *format_fp     ( FILE *fp, const char *language );
  char *format_file   ( const char *filename, const char *language );
  char *format_string ( const char *str, const char *language );

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __FORMAT_H__ */

